Service Manager Get Service

Service Manager Get Service
The full list of services available in this directory.

The full list of services available in this directory.

Required privileges: Global.ServiceManagers

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/ServiceManager/{moId}/service
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case ServiceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "serviceName": "string",
        "location": [
            "string"
        ],
        "service": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "description": "string"
    }
]
array of object
Optional

This data object represents essential information about a particular service.

The information is sufficient to be able to identify the service and retrieve the object implementing it.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/ServiceManager/{moId}/service